function onCreate()
	makeLuaSprite('bg', 'bg/pooche/BadDreamBG', -260, -200)
	addLuaSprite('bg', false)

	makeLuaSprite('bg2lol', 'bg/pooche/japanesepooche', -350, -150)
	setProperty('bg2lol.visible', false)

	addLuaSprite('bg2lol', false)

	makeLuaSprite('logo', 'bg/pooche/poochieandpantsass', -260, -200)
	addLuaSprite('logo', true)

	makeLuaSprite('part1', 'bg/pooche/part1', -260, -200)
	setProperty('part1.visible', false)

	addLuaSprite('part1', true)

	setProperty('camHUD.alpha', 0)
end

local beatFunctions = {
	[16] = function()
		setProperty('part1.visible', true)
		setProperty('logo.visible', false)
	end,

	[32] = function()
		doTweenAlpha('bye', 'part1', 0, 1)
		doTweenAlpha('hello', 'camHUD', 1, 1, 'circInOut')
	end,

	[192] = function()
		setProperty('bg2lol.visible', true)
		close(true)
	end
}

function onBeatHit()
	if beatFunctions[curBeat] then
		beatFunctions[curBeat]()
	end
end

function onMoveCamera(focus)
	if curBeat < 32 then
		setProperty('camFollow.x', getMidpointX('logo') - 200)
		setProperty('camFollow.y', getMidpointY('logo'))
	end
end

function onTweenCompleted(tag)
	if tag == 'bye' then
		removeLuaSprite('logo', true)
		removeLuaSprite('part1', true)
	end
end